Package io.vertx.rxjava3.ext.dropwizard

## Class MetricsService

- java.lang.Object
- - io.vertx.rxjava3.ext.dropwizard.MetricsService

-     public class MetricsService
      extends Object

  The metrics service mainly allows to return a snapshot of measured objects.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<MetricsService>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MetricsService​(MetricsService delegate)` |
    `MetricsService​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MetricsService` | `create​(Vertx vertx)` | Creates a metric service for a given `Vertx` instance.
    `boolean` | `equals​(Object o)` |
    `String` | `getBaseName​(Measured measured)` |
    `MetricsService` | `getDelegate()` |
    `JsonObject` | `getMetricsSnapshot​(Measured measured)` | Will return the metrics that correspond with the `measured` object, null if no metrics is available.
    `JsonObject` | `getMetricsSnapshot​(String baseName)` | Will return the metrics that begins with the `baseName`, null if no metrics is available.
    `int` | `hashCode()` |
    `Set<String>` | `metricsNames()` |
    `static MetricsService` | `newInstance​(MetricsService arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MetricsService> __TYPE_ARG

  - ### Constructor Detail

    - #### MetricsService

          public MetricsService​(MetricsService delegate)

    - #### MetricsService

          public MetricsService​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MetricsService getDelegate()

    - #### create

          public static MetricsService create​(Vertx vertx)

      Creates a metric service for a given `Vertx` instance.
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the metrics service

    - #### getBaseName

          public String getBaseName​(Measured measured)

      Parameters:
        `measured` - the measure object
      Returns:
        the base name of the measured object

    - #### metricsNames

          public Set<String> metricsNames()

      Returns:
        the known metrics names by this service

    - #### getMetricsSnapshot

          public JsonObject getMetricsSnapshot​(Measured measured)

      Will return the metrics that correspond with the `measured` object, null if no metrics is available.

      Note: in the case of scaled servers, the JsonObject returns an aggregation of the metrics as the dropwizard backend reports to a single server.
      Parameters:
        `measured` -
      Returns:
        the map of metrics where the key is the name of the metric (excluding the base name unless for the Vert.x object) and the value is the json data representing that metric

    - #### getMetricsSnapshot

          public JsonObject getMetricsSnapshot​(String baseName)

      Will return the metrics that begins with the `baseName`, null if no metrics is available.

      Note: in the case of scaled servers, the JsonObject returns an aggregation of the metrics as the dropwizard backend reports to a single server.
      Parameters:
        `baseName` -
      Returns:
        the map of metrics where the key is the name of the metric and the value is the json data representing that metric

    - #### newInstance

          public static MetricsService newInstance​(MetricsService arg)